package org.tonylin.practice.jna;

import org.tonylin.practice.jna.HelloWorld.CHelloWorld;

import com.sun.jna.Library;
import com.sun.jna.Native;
import com.sun.jna.Platform;

public class JNADLLBug {
	public interface CJNADLLBug extends Library{
		CJNADLLBug instance = (CJNADLLBug)
			Native.loadLibrary( Platform.is64Bit() ? "JNADLLBugx64" : "JNADLLBugWin32", 
					CJNADLLBug.class);
		public int add(int a, int b);
		public int fnJNADLLBug();
	}
	
	public static void main(String[] args) {
		System.setProperty("jna.library.path", "./libs");
		System.out.println("fnJNADLLBug="+CJNADLLBug.instance.fnJNADLLBug());
		System.out.println("add="+CJNADLLBug.instance.add(1,2));
	}
}
